/// <reference types="node" />
import { EventEmitter } from 'events';
import { Options } from './types/options';
import { Stats } from './types/stats';
import { Times } from './types/times';
export declare class Benchmark extends EventEmitter {
    id: string;
    name: string;
    fn: Function;
    count: number;
    cycles: number;
    running: boolean;
    options: Options;
    stats: Stats;
    times: Times;
    constructor(name: string, fn: Function, options?: Options);
    clone: () => Benchmark;
    initRun: () => void;
    cycle: () => Promise<number>;
    reset: () => void;
    run: (options: Options) => Promise<void>;
    complete: () => void;
    ops: () => number;
    toString: () => string;
}
