/**
 * An object of stats including mean, margin or error, and standard deviation.
 * @link inspired by https://github.com/bestiejs/benchmark.js/blob/42f3b732bac3640eddb3ae5f50e445f3141016fd/benchmark.js#L1911-L1927
 */
export declare class Stats {
    constructor();
    /**
     * The margin of error.
     *
     */
    get moe(): number;
    /**
    * The relative margin of error (expressed as a percentage of the mean).
    *
    */
    get rme(): number;
    /**
    * The standard error of the mean.
    *
    */
    get sem(): number;
    /**
    * The sample standard deviation.
    *
    */
    get deviation(): number;
    /**
    * The sample arithmetic mean (secs).
    *
    */
    get mean(): number;
    /**
    * The array of sampled periods.
    *
    */
    sample: number[];
    /**
    * The sample variance.
    *
    */
    get variance(): number;
    toString(): string;
    toJSON(): Stats;
}
