/**
 * An object of timing data including cycle, elapsed, period, start, and stop.
 *
 */
export declare type Times = {
    /**
     * The time taken to complete the last cycle (secs).
     *
     */
    cycle: number;
    /**
     * The time taken to complete the benchmark (secs).
     *
     */
    elapsed: number;
    /**
     * The time taken to execute the test once (secs).
     *
     */
    period: number;
    /**
     * A timestamp of when the benchmark started (ms).
     *
     */
    timeStamp: number;
};
export declare const defaultTimes: Times;
